import { CreateGweet } from "@/components/create-gweet/components/create-gweet"
import { GlobalLayout } from "@/components/global-layout"
import { Gweets } from "@/components/gweets/components/gweets"
import { Connect } from "@/components/profile/components/connect"
import ScrollToTop from "@/components/scroll-to-top"
import { Trends } from "@/components/trends/components/trends"
import { Card } from "@/components/ui/card"
import { getCurrentUser } from "@/lib/session"

export default async function HomePage() {
    const session = await getCurrentUser()

    return (
        <GlobalLayout
            mainContent={
                <>
                    <div className="fixed top-30 z-40">
                        <ScrollToTop />
                    </div>
                    <div className="w-full space-y-6 flex flex-col">
                        <CreateGweet />
                        <Gweets />
                    </div>
                </>
            }
            sideContent={
                <>
                    <Card className="p-5 bg-secondary">
                        <Trends />
                    </Card>

                    <Card className="p-6 bg-secondary">
                        <Connect session={session} />
                    </Card>
                </>

            }
        />
    )
}